Relesys API Docs

v1.3

https://api.relesysapp.net/api/v1.3

Departments

Get Department
GET /departments/{departmentId}
https://api.relesysapp.net/api/v1.3/departments/{departmentId}
Get a specific department object by the ID provided.
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
departmentId string / guid The department's unique identifier required
Responses
application/json
JSON
{"data":{"id":"3c778d0e-4599-4e1d-9c87-25eea1333799","url":null,"creationDateTime":"2026-03-08T03:43:54.7936574Z","lastModifiedDateTime":"2026-03-08T03:43:54.7936574Z","name":"Relesys Main HQ","parentId":"19a7ddce-2c81-4a7a-a22c-458d4d2930ef","externalId":"HQ","addressLine":"Relesys Road 10","addressLine2":"2nd floor","zipCode":"2920","city":"Relecity","defaultPhoneCountryCode":45,"phoneNumber":{"countryCode":45,"number":"12345678"},"managerUserId":"7d51a3ea-8da7-41ec-ba3a-82b48bec5bca","showInContacts":true,"showInHighscores":true,"showInActivityStatistics":true,"contentCulture":"da-dk","uiCulture":"da-dk","type":"Company","timeZone":"UTC","email":"Test@test.com","userLanguageEnabled":true,"selectedCultures":["da-DK","en-GK"],"showDepartmentManagerPublic":false,"showEmployeeList":true,"showDepartmentUsersInPublicContacts":true,"showDepartmentInTaggingOverview":true,"showUsersInTaggingOverview":true,"showContactList":false,"locales":[{"culture":"en-GB","description":"Example description"}]}}
object
  data object      
   addressLine string      
   addressLine2 string      
   city string      
   contentCulture string      
   creationDateTime datetime      
   defaultPhoneCountryCode integer      
   email string      
   externalId string      
   id string / guid      
   lastModifiedDateTime datetime      
   locales array[object]      
    culture string      
    description string      
   managerUserId string / guid      
   name string      
   parentId string / guid      
   phoneNumber object      
    countryCode integer      
    number string      
   selectedCultures array[string]      
   showContactList boolean      
   showDepartmentInTaggingOverview boolean      
   showDepartmentManagerPublic boolean      
   showDepartmentUsersInPublicContacts boolean      
   showEmployeeList boolean      
   showInActivityStatistics boolean      
   showInContacts boolean      
   showInHighscores boolean      
   showUsersInTaggingOverview boolean      
   timeZone string      
   type string      
   uiCulture string      
   url string      
   userLanguageEnabled boolean      
   zipCode string